package client

type TokenInfo struct {
	Name string `json:"name"`
}

type NamespaceInfo struct {
	Name string `json:"name"`
}

type DataSourceInfo struct {
	Namespace string `json:"namespace"`
	Name      string `json:"name"`
	Type      string `json:"type"`
	Spec      string `json:"spec"`
}

type DataContainerInfo struct {
	Namespace  string `json:"namespace"`
	DataSource string `json:"dataSource"`
	Name       string `json:"name"`
	Spec       string `json:"spec"`
}

type ExecuteSqlLogInfo struct {
	Namespace   string `json:"namespace"`
	DataSource  string `json:"dataSource"`
	SQL         string `json:"sql"`
	Executor    string `json:"executor"`
	ExecuteTime string `json:"executeTime"`
}
